## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenBaseImpl.EclipseUtil

    java.lang.Object
      org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl.EclipseUtil

Enclosing class:
  GenBaseImpl

Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalents to the methods in this class. This class will be removed after 2.2.

    @Deprecated
    protected static class GenBaseImpl.EclipseUtil

extends java.lang.Object

Constructor Summary
`protected` `GenBaseImpl.EclipseUtil()` Deprecated.

Method Summary
`static java.io.InputStream` `createInputStream(java.lang.String path)` Deprecated.
`static boolean` `exists(java.lang.String path)` Deprecated.
`protected static IContainer` `findOrCreateContainer(GenBaseImpl genBase, Monitor progressMonitor, int style, java.util.List pluginVariables, IPath outputPath, boolean forceStyle)` Deprecated.
`protected static IContainer` `findOrCreateContainer(GenBaseImpl genBase, Monitor progressMonitor, int style, java.util.List pluginVariables, java.lang.String outputPath, boolean forceStyle)` Deprecated.
`protected static boolean` `findOrCreateContainer(GenModel genModel, Monitor progressMonitor, int style, java.util.List pluginVariables, java.lang.String output, boolean forceStyle)` Deprecated.
`protected static java.lang.String` `formatCode(java.lang.String contents, org.eclipse.jdt.core.formatter.CodeFormatter codeFormatter)` Deprecated.
`static java.lang.String` `getEncoding(java.lang.String path)` Deprecated.
`static boolean` `isReadOnly(java.lang.String path)` Deprecated.
`static void` `setWriteable(java.lang.String path)` Deprecated.
`static boolean` `validateEdit(java.lang.String path, Monitor progressMonitor)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenBaseImpl.EclipseUtil

    protected GenBaseImpl.EclipseUtil()

  Deprecated.

Method Detail

### formatCode

    protected static java.lang.String formatCode(java.lang.String contents,
                                                 org.eclipse.jdt.core.formatter.CodeFormatter codeFormatter)

  Deprecated.

### findOrCreateContainer

    protected static IContainer findOrCreateContainer(GenBaseImpl genBase,
                                                      Monitor progressMonitor,
                                                      int style,
                                                      java.util.List pluginVariables,
                                                      java.lang.String outputPath,
                                                      boolean forceStyle)

  Deprecated.

### findOrCreateContainer

    protected static IContainer findOrCreateContainer(GenBaseImpl genBase,
                                                      Monitor progressMonitor,
                                                      int style,
                                                      java.util.List pluginVariables,
                                                      IPath outputPath,
                                                      boolean forceStyle)

  Deprecated.

### findOrCreateContainer

    protected static boolean findOrCreateContainer(GenModel genModel,
                                                   Monitor progressMonitor,
                                                   int style,
                                                   java.util.List pluginVariables,
                                                   java.lang.String output,
                                                   boolean forceStyle)

  Deprecated.

### validateEdit

    public static boolean validateEdit(java.lang.String path,
                                       Monitor progressMonitor)

  Deprecated.

### exists

    public static boolean exists(java.lang.String path)

  Deprecated.

### isReadOnly

    public static boolean isReadOnly(java.lang.String path)

  Deprecated.

### createInputStream

    public static java.io.InputStream createInputStream(java.lang.String path)
                                                 throws java.lang.Exception

  Deprecated.
  Throws:
    `java.lang.Exception`

### getEncoding

    public static java.lang.String getEncoding(java.lang.String path)

  Deprecated.

### setWriteable

    public static void setWriteable(java.lang.String path)
                             throws java.lang.Exception

  Deprecated.
  Throws:
    `java.lang.Exception`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.